matrix:
  platform:
    - macos
    - ubuntu2004
  bazel:
    - 8.x
tasks:
  run_tests:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--java_language_version=21"
      - "--java_runtime_version=21"
      - "--tool_java_language_version=21"
      - "--tool_java_runtime_version=21"
    build_targets:
      - '@elemental2//:all'
